Bug 998149 - Duplicated documentation
Duplicated documentation
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: jsoncpp (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Sébastien Willmann
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F20UnversionedDocDirs
  Show dependency treegraph
 
Reported: 2013-08-17 14:24 EDT by Michael Schwendt
Modified: 2013-09-26 02:25 EDT (History)
1 user (show)

See Also:
Fixed In Version: jsoncpp-0.6.0-0.11.rc2.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-26 02:25:12 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
one way to fix it (1.52 KB, patch)
2013-09-08 14:22 EDT, Michael Schwendt
no flags Details | Diff

  None (edit)
Description Michael Schwendt 2013-08-17 14:24:45 EDT
For the Fedora 20 unversioned docdirs change,

  https://fedoraproject.org/wiki/Changes/UnversionedDocdirs

the jsoncpp package will need a fix, as currently it duplicates the documentation from the -doc subpackage in the base package. This is because %doc now picks up files stored in %{_docdir}/%{name}.

> %files doc
> %doc AUTHORS LICENSE NEWS.txt README.txt
> %{_docdir}/%{name}
Comment 1 Michael Schwendt 2013-08-17 17:43:22 EDT
The duplicated doc files currently also cause a conflict on e.g. i686, because the noarch -doc package may have been built on a different arch.
Comment 2 Sébastien Willmann 2013-09-08 13:14:26 EDT
How should I fix this? Exclude the directory from the main package? Install doc in another directory?
Comment 3 Michael Schwendt 2013-09-08 14:22:59 EDT
Created attachment 795387 [details]
one way to fix it

There are multiple solutions. Attached is one that also removes the extra /usr/share/doc/jsoncpp-doc directory in the -doc package. And it puts the many files from the doxygen docs into a html folder. Else it gets very crowded in the top docdir.


General discussion of this problem:
https://fedorahosted.org/fpc/ticket/338

Further information:
http://fedoraproject.org/wiki/Changes/UnversionedDocdirs
https://fedoraproject.org/wiki/Packaging_tricks#Installing_documentation:_2_paths
Comment 4 Sébastien Willmann 2013-09-10 16:16:03 EDT
Thanks, I'm applying the suggested patch.
Comment 5 Fedora Update System 2013-09-10 16:18:04 EDT
jsoncpp-0.6.0-0.11.rc2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/jsoncpp-0.6.0-0.11.rc2.fc20
Comment 6 Fedora Update System 2013-09-11 12:59:16 EDT
Package jsoncpp-0.6.0-0.11.rc2.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing jsoncpp-0.6.0-0.11.rc2.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-16433/jsoncpp-0.6.0-0.11.rc2.fc20
then log in and leave karma (feedback).
Comment 7 Fedora End Of Life 2013-09-16 13:12:31 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 8 Fedora Update System 2013-09-26 02:25:12 EDT
jsoncpp-0.6.0-0.11.rc2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.